HanMacWrdJGraphInternal::TextFrame Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
HanMacWrdJGraphInternal::TextFrame Struct Reference

Internal: the text frame (basic, header, footer, footnote) of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::TextFrame:

## Public Member Functions
| TextFrame (Frame const &orig)
| constructor More...
virtual | ~TextFrame ()
| destructor More...
virtual bool | valid () const
| returns true if the frame data are read More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
long | m_zId
| the text id More...
double | m_width
| the zone width More...
long | m_cPos
| the first char pos More...
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
bool | m_inGroup
| true if this node is a group's child More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: the text frame (basic, header, footer, footnote) of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ TextFrame()

HanMacWrdJGraphInternal::TextFrame::TextFrame | ( | Frame const & | orig | ) |
| inlineexplicit

constructor

## ◆ ~TextFrame()

HanMacWrdJGraphInternal::TextFrame::~TextFrame | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ print()

std::string HanMacWrdJGraphInternal::TextFrame::print | ( |  | ) | const
| inline

print local data

## ◆ valid()

virtual bool HanMacWrdJGraphInternal::TextFrame::valid | ( |  | ) | const
| inlinevirtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

## Member Data Documentation

## ◆ m_cPos

long HanMacWrdJGraphInternal::TextFrame::m_cPos

the first char pos

Referenced by HanMacWrdJGraph::getFootnoteInformations().

## ◆ m_width

double HanMacWrdJGraphInternal::TextFrame::m_width

the zone width

## ◆ m_zId

long HanMacWrdJGraphInternal::TextFrame::m_zId

the text id

Referenced by HanMacWrdJGraph::getFootnoteInformations().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx